<script>
    const ICONS = import.meta.glob('./icons/*.svelte', {eager: true});

    export let name;
    let classes = "";
    export {classes as class};

    let svg = ICONS[`./icons/${name}.svelte`].default;
</script>

<svelte:component this={svg} class={classes} />